Subject: FW: I-D ACTION:draft-aoun-v6ops-natpt-deprecate-00.txt

From: "Cedric Aoun" <[email-masked]>
Date: Wed, 22 Sep 2004 10:12:18 +0200

Hi,
As discussed at IETF 60, the WG agreed to continue the NAT-PT deprecation
analysis.
We would really appreciate if you could provide us your feedback on the
initial version of the deprecation analysis by Monday October 4th.
Regards
Cedric Aoun

> ------ Forwarded Message
> From: <[email-masked]>
> Reply-To: <[email-masked]>
> Date: Tue, 21 Sep 2004 21:38:33 +0200
> To: <[email-masked]>
> Subject: I-D ACTION:draft-aoun-v6ops-natpt-deprecate-00.txt
> 

> A New Internet-Draft is available from the on-line Internet-Drafts
> directories. 
> 
> 
>         Title           : Reasons to Deprecate NAT-PT
>         Author(s)       : C. Aoun, E. Davies
>         Filename        : draft-aoun-v6ops-natpt-deprecate-00.txt
>         Pages           : 24
>         Date            : 2004-9-21
>         
> This document discusses reasons why use of the specific form of
>    IPv6-IPv4 protocol translation mechanism implemented by the Network
>    Address Translator - Protocol Translator (NAT-PT) defined in RFC 2766
>    should be deprecated and RFC2766 moved to historic status.
>    Description of an alternative protocol translation mechanism is out
>    of scope for this document.
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-aoun-v6ops-natpt-deprecate-00.txt
> 
> To remove yourself from the I-D Announcement list, send a message to
> [email-masked] with the word unsubscribe in the body of the
> message.  
> You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce
> to change your subscription settings.
> 
> 
> Internet-Drafts are also available by anonymous FTP. Login with the username
> "anonymous" and a password of your e-mail address. After logging in,
> type "cd internet-drafts" and then
>         "get draft-aoun-v6ops-natpt-deprecate-00.txt".
> 
> A list of Internet-Drafts directories can be found in
> http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> 
> 
> Internet-Drafts can also be obtained by e-mail.
> 
> Send a message to:
>         [email-masked].
> In the body type:
>         "FILE /internet-drafts/draft-aoun-v6ops-natpt-deprecate-00.txt".
>         
> NOTE:   The mail server at ietf.org can return the document in
>         MIME-encoded form by using the "mpack" utility.  To use this
>         feature, insert the command "ENCODING mime" before the "FILE"
>         command.  To decode the response(s), you will need "munpack" or
>         a MIME-compliant mail reader.  Different MIME-compliant mail readers
>         exhibit different behavior, especially when dealing with
>         "multipart" MIME messages (i.e. documents which have been split
>         up into multiple messages), so check your local documentation on
>         how to manipulate these messages.
>                 
>                 
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft. 
> 
>  
> 

------ End of Forwarded Message

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 23 Sep 2004 11:38:58 +0200

It's not often I get to say "I told you so", but I told you so
in RFC 1671, as far as the PT part of NAT-PT is concerned :-)

I do agree with this draft and I think it pretty much covers
the arguments, so I only have a couple of minor comments:

 > 1.  Introduction
...
>    Some additional issues can be inferred from corresponding issues
>    known to exist in 'traditional' IPv4 NATs.  The following documents
>    are relevant:
>    o  Protocol Complications with the IP Network Address Translator
>       [RFC3027]
>    o  IP Network Address Translator (NAT) Terminology and Considerations
>       [RFC2663]

As well as RFC 2663 and 3027, I think you should refer to RFC 2993.
I doubt if it brings in any new points, but that might be worth
checking.

 > 8.  Conclusion
...
>    Although some of issues identified with NAT-PT appear to have
>    solutions, many of the solutions required significant alterations to
>    the existing specification and would be likely to increase
>    operational complexity.  Even if these solutions were applied, we
>    have shown that NAT-PT still has significant irresolvable issues, has
>    limited applicability and that alternatives exist.  Accordingly we
>    invite the IETF to deprecate its usage within the Internet, move
>    RFC2766 to historic status 

Aren't you inviting the IESG to take action? IMHO the text should
be more conclusive, e.g.

  Accordingly, this document deprecates its usage within the Internet.
  The IESG is requested to move RFC2766 to historic status.

>    ... and recommend, instead, the alternatives
>    discussed above.

I don't think that you discuss the alternatives in any way to
justify this final clause. So either you have to add a lot of words
and citations, or change the final clause to

   Users are recommended to apply alternative techniques for coexistence.

Regards
    Brian